% Usage:
%       out = asset_f(params, y)
%   where
%       out    is a (2,1) column vector of the residuals
%              of the static system
%       params is a (4,1) vector of parameter values
%              in the ordering as declared
%       y      is a (2,1) vector of endogenous variables
%              in the ordering as declared
%
% Created by Dynare++ v. 1.3.5

% params ordering
% =====================
% theta
% rho
% bet
% xbar
%
% y ordering
% =====================
% y
% x

function out = asset_f(params, y)
if size(y) ~= [2,1]
	error('Wrong size of y, must be [2,1]');
end
if size(params) ~= [4,1]
	error('Wrong size of params, must be [4,1]');
end

% hardwired constants
a0 =            0;
a1 =            1;
a2 = NaN;
a3 =    1.1283792;
% numerical constants
a11 =            1;
% parameter values
a6 = params(1); % theta
a17 = params(2); % rho
a5 = params(3); % bet
a19 = params(4); % xbar
% exogenous variables to zeros
a24 = 0.0; % e
% endogenous variables to y
a4 = y(1); % y
a12 = y(1); % y
a21 = y(2); % x
a16 = y(2); % x
a7 = y(2); % x

t8 = a6 * a7;
t9 = exp(t8);
t10 = a5 * t9;
t13 = a11 + a12;
t14 = t10 * t13;
t15 = a4 - t14;
t18 = a11 - a17;
t20 = t18 * a19;
t22 = a17 * a21;
t23 = t20 + t22;
t25 = t23 + a24;
t26 = a16 - t25;
% setting the output variable
out = zeros(2, 1);
out(1) = t15;
out(2) = t26;
